指定图像或参考底图的当前对比度值。 支持的平台:仅窗口 签名工 务 局: object.Contrast
属性值只读:不 类型:整数 有效范围为 0 到 100(含 0 和 100)。默认值为 50。 言论您可以调整图像亮度、对比度和淡入淡出以显示图像以及打印输出,而不会影响原始光栅图像或参考底图文件。调整亮度以使图像变暗或变亮。调整对比度以使质量较差的图像更易于阅读。调整淡入淡出以使矢量更易于在图像上看到,并在打印的输出中创建水印效果。 注意:黑白图像无法针对亮度、对比度或淡入淡出进行调整。
例子工 务 局: Sub Example_Contrast() ' This example inserts a raster image and finds the current ' Contrast of the image. It then changes the Contrast ' of the image. ' This example uses the "2d Projected Polylines.jpg" found in the Sample ' directory. If you do not have the image, or if it is located ' in a different directory, insert a valid path and name for the ' imageName variable below. Dim insertionPoint(0 To 2) As Double Dim scalefactor As Double Dim rotAngleInDegree As Double Dim rotAngle As Double Dim imageName As String Dim raster As AcadRasterImage imageName = "C:\AutoCAD\sample\2d Projected Polylines.jpg" insertionPoint(0) = 2#: insertionPoint(1) = 2#: insertionPoint(2) = 0# scalefactor = 1# rotAngleInDegree = 0# rotAngle = rotAngleInDegree * 3.141592 / 180# On Error Resume Next ' Creates a raster image in model space Set raster = ThisDrawing.modelSpace.AddRaster(imageName, insertionPoint, scalefactor, rotAngle) If Err.Description = "File error" Then MsgBox imageName & " could not be found." Exit Sub End If ' Find the current Contrast ThisDrawing.Regen True MsgBox "The Contrast is currently set to: " & raster.Contrast, vbInformation ' Change the Contrast to 5 raster.Contrast = 5 ThisDrawing.Regen True MsgBox "The Contrast is now set to: " & raster.Contrast, vbInformation End Sub Visual LISP: (vl-load-com) (defun c:Example_Contrast() ;; This example inserts a raster image and finds the current ;; Contrast of the image. It then changes the Contrast ;; of the image. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; This example uses the "2d Projected Polylines.jpg" found in the Sample ;; directory. If you do not have the image, or if it is located ;; in a different directory, insert a valid path and name for the ;; imageName variable below. (setq insertionPoint (vlax-3d-point 2 2 0) imageName ".\\Sample\\VBA\\2d Projected Polylines.jpg" scalefactor 1 rotAngleInDegree 0 rotAngle (/ (* rotAngleInDegree 3.141592) 180)) (if (/= (findfile ".\\Sample\\VBA\\2d Projected Polylines.jpg") nil) (progn ;; Creates a raster image in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq raster (vla-AddRaster modelSpace (findfile ".\\Sample\\VBA\\2d Projected Polylines.jpg") insertionPoint scalefactor rotAngle)) (vla-ZoomExtents acadObj) ;; Find the current contrast (vla-Regen doc :vlax-true) (alert (strcat "The Contrast is currently set to: " (rtos (vla-get-Contrast raster) 2))) ;; Change the contrast to 5 (vla-put-Contrast raster 5) (vla-Regen doc :vlax-true) (alert (strcat "The Contrast is now set to: " (rtos (vla-get-Contrast raster) 2))) ) (alert (strcat imageName " could not be found.")) ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:50
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.